spot-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Alan Ross <a...@apache.org>
Subject Does Spot depend on python2?
Date Wed, 18 Sep 2019 02:42:57 GMT
Spot does depend on Python2.  We should figure out what is involved to
migrate, and what software is impacted.

From: Jeremy Nelson <jfn531704@gmail.com>
To: dev@spot.incubator.apache.org
Date: Thu, 12 Sep 2019 22:24:28 -0500
Subject: Does Spot depend on python2?
Greetings,

I am evaluating spot, and I looked at the Spot demo, which is built from a
Dockerfile.  I noticed that the demo is based on Python 2.7.  Being
concerned about software that requires python2, I downloaded the source
code to spot itself, and looked at the python scripts in the 'master'
branch, and most of them do /usr/bin/env python, which means they expect to
run on python2.   However, a quick glance didn't show things that were
python2-only (like print's without parenthesis)

I was concerned that come next year, systems might start shipping without
python2 installed, so I was wondering if anyone has already determined if
spot can run on a system with only python3 installed?

Thanks,
Jeremy

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message